# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the details of an Interac e-Transfer payment request In this tutorial, you'll learn how to use the Global Payments API to retrieve the payment details of an Interac e-Transfer payment request. By the end of this tutorial, you'll know how to use the `endToEndId` to retrieve the transaction details of your payment request. ## Before you begin To retrieve the details of an Interac e-Transfer request, you'll need an `endToEndId` value for your payment request, which is provided in a [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/interac-e-transfer/how-to/index#confirm-response). ## Create and send a payment details request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/interac-e-transfer/how-to/index#confirm-response) contains an `endToEndId` value that can be used to retrieve the status of the payment request. ```curl curl --location 'https://api-mock.payments.jpmorgan.com/tsapi/v1/payments?endToEndId=pl210g9t231r13541130' ``` A successful response contains the transaction details for your payment request: ```json { "paymentStatus": { "createDateTime": "2023-01-01T00:00:12.145", "status": "COMPLETED" }, "payments": { "requestedExecutionDate": "2023-01-01", "paymentIdentifiers": { "endToEndId": "QA03132368A", }, "paymentCurrency": "CAD", "paymentAmount": 5.06, "transferType": "CREDIT", "debtor": { "debtorName": "John Doe", "debtorAccount": { "accountId": "4000011117" }, }, "debtorAgent": { "financialInstitutionId": { "bic": "CHASCATT" } }, "creditor": { "creditorName": "Jane Doe", "creditorAccount": { "accountType": "INTERAC", "alternateAccountIdentifier": "TEST1US", "schemeName": { "proprietary": "TELI" } }, "postalAddress": { "addressType": "ADDR", "streetName": "Maple Avenue", "buildingNumber": "5678 ", "postalCode": "67890", "townName": "Rivertown", "countrySubDvsn": "ZZ", "country": "AB" }, "countryOfResidence": "CA", }, "remittanceInformation": { "unstructuredInformation": [ "Payment for Invoice 123" ] }, "purpose": { "code": "XXXX" }, "secureVerification": [ { "key": "what is your policy number?", "secret": "UrWh9hQ3Ng6U2+ZLJXfDI4fQbs6Ob3Cc5lf1zb3u8IY=" } ], "paymentExpiryDate": "2023-01-20T20:32:36.611317600Z" }, "firmRootId": "98275a2d-1e88-beed-6938-0521a7e0aesf" } ``` ## Next steps Review the Interac e-Transfer [payment parameters](/docs/treasury/global-payments/capabilities/global-payments/interac-e-transfer/payment-parameters). ## Related - Learn how to [initiate an Interac e-Transfer payment request](/docs/treasury/global-payments/capabilities/global-payments/interac-e-transfer/how-to/index). - Learn how to [get the status of your Interac e-Transfer request](/docs/treasury/global-payments/capabilities/global-payments/interac-e-transfer/how-to/get-status-of-interac-payment-request).